{% extends 'base.html' %}
{% load humanize %}

{% block content %}
<div class="container mt-5">
    <h1> Contribution History</h1>
    <div class="col-9 mb-5">

        <div class="row mt-3">
            <div class="mr-2">
                <a href="{% url 'download_contrib' %}" class="btn btn-md btn-success font-weight-bold">
                    <i class="fas fa-download mr-2"></i>Download Contributions History</a>
            </div>
        </div>
    </div>

    <table class="mt-5">
        <thead>
        <tr>
            <th>Sr. No.</th>
            <th>Amount</th>
            <th>Description</th>
            <th>Date</th>
        </tr>
        </thead>
        <tbody>
        {% for contrib in contribs %}
        <tr>
            <td scope="row" data-title="Sr. No.">{{ forloop.counter0|add:contribs.start_index }}</td>
            <td data-title="Amount">{{ contrib.amount|intcomma }}</td>
            <td data-title="Description">{{ contrib.description }}</td>
            <td data-title="Date">{{ contrib.date_created }}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>


    <!---- Pagination ----->
    <div class="row mt-5 mb-5 justify-content-center">
        {% if contribs.has_other_pages %}
        <nav aria-label="Page navigation example">

            <ul class="pagination pg-dark">
                {% if contribs.has_previous %}
                <li class="page-item ">
                    <a class="page-link" tabindex="-1"
                       href="?page={{ contribs.previous_page_number }}">
                        Previous</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link" tabindex="-1">Previous</a>
                </li>
                {% endif %}
                {% for i in contribs.paginator.page_range %}
                {% if contribs.number == i %}
                <li class="page-item active">
                    <a class="page-link">{{ i }} <span class="sr-only">(current)</span></a>
                </li>
                {% else %}
                <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a>
                </li>
                {% endif %}
                {% endfor %}
                {% if contribs.has_next %}
                <li class="page-item ">
                    <a class="page-link" href="?page={{ contribs.next_page_number }}">Next</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link">Next</a>
                </li>
                {% endif %}

            </ul>
        </nav>
        {% endif %}
    </div>
    <!----- Pagination (endblock)---->
</div>

{% endblock %}